ENTRY(kstart);

MEMORY {
  ram (wxa) : ORIGIN = 0x80000000, LENGTH = 128M
}

PHDRS {
  text   PT_LOAD;
  rodata PT_LOAD;
}

SECTIONS {
  .text : ALIGN(4K) {
    *(.init);
    *(.text);
  } >ram AT>ram :text

  .rodata : ALIGN(4K) {
    *(.rodata);
  } >ram AT>ram :rodata
}

 # @Todo .bss (clear), .data, etc
